#
# spec file for package mksusecd
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mksusecd
Version:        1.42
Release:        1.1
Summary:        Create SUSE Linux installation ISOs
License:        GPL-3.0+
Group:          Hardware/Other
Url:            https://github.com/wfeldt/mksusecd
Source:         %{name}-%{version}.tar.xz
BuildRequires:  libuuid-devel
BuildRequires:  xz
Requires:       checkmedia
Requires:       createrepo
Requires:       dosfstools
Requires:       genisoimage
Requires:       gpg2
Requires:       mtools
Requires:       squashfs
Requires:       xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a tool to create SUSE Linux installation ISOs.

%prep
%setup -q

%build

%install
make DESTDIR=%{buildroot} LIBDIR=%{_libexecdir} BINDIR=%{_bindir} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libexecdir}/%{name}
%doc README* COPYING*

%changelog
* Fri Aug 12 2016 snwint@suse.com
- extended help text and added some small fixes
- fix choosing an add-on name
- be less restrictive when generating add-on aliases
- support creating add-ons on the target iso (bsc#991935)
- 1.42
* Tue Aug  2 2016 snwint@suse.com
- catch error when we fail to unpack squashfs images
- handle modules.order and modules.builtin when updating a kernel
- 1.41
* Fri Jul 15 2016 snwint@suse.com
- tw support: also sign image files
- sanitize function that removes files from iso
- remove tumbleweed images in 'micro' format
- 1.40
* Mon Jun 20 2016 snwint@suse.com
- create missing 'content' file
- 1.39
* Tue May 10 2016 snwint@suse.com
- adjust list of specially handled initrd modules
- 1.38
* Mon Jan 18 2016 snwint@suse.com
- fix typo
- 1.37
* Tue Dec  8 2015 snwint@suse.com
- add hashes for license and control file
- 1.36
* Fri Dec  4 2015 snwint@suse.com
- support uncompressed initrd (bsc#957847)
- 1.35
* Wed Oct 21 2015 snwint@suse.com
- fix ppc boot iso creation
- 1.34
* Tue Sep 29 2015 snwint@suse.com
- Add link to linux-devtools documentation
- 1.33
* Wed Aug 12 2015 snwint@suse.com
- move isozipl to /usr/bin
- make it work also with mkisofs from cdrtools
- 1.32
* Wed Aug 12 2015 snwint@suse.de
- syslinux is no longer required
* Mon Aug 10 2015 snwint@suse.com
- fix cpio unpacking bug
- 1.31
* Thu Jul 23 2015 snwint@suse.com
- integrate isozipl in mksusecd
- add some options to isohybrid to make it more flexible
- add zipl binary blobs
- 1.30
* Wed Jul 22 2015 snwint@suse.com
- added isozipl to make an iso zipl bootable
- 1.29
* Mon Jul 13 2015 snwint@suse.com
- fix cpio archive unpacking
- 1.28
* Tue Jul  7 2015 snwint@suse.com
- README: link to mkdud; grammar; formatting
- 1.27
* Mon Jul  6 2015 snwint@suse.com
- extended readme
- 1.26
* Thu Jun 25 2015 snwint@suse.com
- keep /content file up-to-date even when new files are added to the iso
- 1.25
* Fri Jun 19 2015 snwint@suse.com
- ensure '/content' is re-signed when necessary
- 1.24
* Fri Jun 19 2015 snwint@suse.com
- implement --kernel option to replace kernel & modules used for booting
- added --add-entry option to create a new boot menu entry for modifications
- 1.23
* Wed Jun  3 2015 snwint@suse.com
- work properly when different iso sources are specified
- 1.22
* Mon May 18 2015 snwint@suse.com
- get isohybrid binary location right
- 1.21
* Fri May  8 2015 snwint@suse.com
- fix key generation issues with different gpg2 versions
- 1.20
* Sat Apr 25 2015 schwab@linux-m68k.org
- Run through spec-cleaner
- Fix file list
* Thu Apr 23 2015 snwint@suse.com
- fix Makefile
- 1.19
* Thu Apr 23 2015 snwint@suse.com
- add special isohybrid variant to mksusecd package
- 1.18
* Thu Apr 23 2015 snwint@suse.com
- added ppc64 (chrp) boot support
- 1.17
* Fri Mar 27 2015 snwint@suse.com
- replace archive unpacking function
- 1.16
* Thu Mar 19 2015 snwint@suse.com
- stick to initrd compression format when extending initrd
- 1.15
* Thu Feb 26 2015 snwint@suse.com
- replace content.key with actual signing key used
- handle duplicate filenames
- 1.14
* Tue Feb 24 2015 snwint@suse.com
- support initrds with pre-sle12 key management
- support adding driver updates to initrd
- no-sign option should also prevent updating 'content' file
- 1.13
* Tue Feb 10 2015 snwint@suse.com
- simplify key handling
- 1.12
* Mon Feb  9 2015 snwint@suse.com
- allow to use a user-supplied signing key
- 1.11
* Fri Feb  6 2015 snwint@suse.com
- re-sign '/content' if necessary
- fix git2log script
- 1.10
* Mon Jan 26 2015 snwint@suse.com
- update git2log script
- 1.9
* Fri Nov 28 2014 snwint@suse.com
- add support for grub2 el-torito setups
- 1.8
* Tue Oct 28 2014 snwint_jenkins@suse.com
- wipe files we really don't want to appear on the media
- 1.7
* Tue Oct 21 2014 snwint_jenkins@suse.com
- added --no-digest option
- handle more than 2 el torito entries
- 1.6
* Mon Oct 13 2014 jenkins@suse.com
- added 'archive' Makefile target
- updated git2log script
- added '--pico' option
- 1.5
* Wed Aug 13 2014 snwint@suse.de
- support adding rpms to the initrd
- update checksums in /content file
- 1.4
* Fri May 23 2014 snwint@suse.de
- fix micro & nano options
- update help text
- 1.3
* Fri May 23 2014 snwint@suse.de
- fix package requires
* Tue Apr 29 2014 snwint@suse.de
- better import of old iso9660 metadata
- 1.2
* Mon Apr 28 2014 snwint@suse.de
- fix --micro option
- 1.1
* Mon Apr 28 2014 snwint@suse.de
- add ISO meta info
- added --micro and --nano to produce small test isos
- use exclude file instead of individual options
- fix hybrid iso creation when boot options are added
- support adding boot options
- support s390x media
- ignore isohybrid warnings
- fix file magic usage
- add 'initrd' option to add files directly to initrd
- added install target
- added README
- added help text
- support fat
- 1.0
